Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class CommandContribution

    java.lang.Object
      com.pietschy.command.group.impl.AbstractCommandContribution
          com.pietschy.command.group.impl.CommandContribution

All Implemented Interfaces:
  Contribution

Direct Known Subclasses:
  EmbeddedContribution

    public class CommandContribution

extends AbstractCommandContribution

Contributions are the expansion point equivalent to `GroupMember`s. Contributions are used by the group to add commands and separators to expansion points.

Constructor Summary
`CommandContribution(ActionCommand command)` Creates a new action command contribution.
`CommandContribution(CommandGroup command)` Creates a new command group contribution.
`CommandContribution(CommandGroup command, boolean inline)` Creates a new group contribution that is optionally inline.

Method Summary
`void` | `performAdd(CommandGroup parent, ExpansionPointMember expansionMember)` Adds the specified this contribution the specified group.
`void` | `performRemove(CommandGroup parent, ExpansionPointMember expansionPointMember)` Removes the specified this contribution the specified group.
`java.lang.String` | `toString()`

Methods inherited from class com.pietschy.command.group.impl.AbstractCommandContribution
`getCommand, isContributionFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandContribution

    public CommandContribution(ActionCommand command)

  Creates a new action command contribution.

  Parameters:
    `command` - the command to add.

### CommandContribution

    public CommandContribution(CommandGroup command)

  Creates a new command group contribution.

  Parameters:
    `command` - the group to add.

### CommandContribution

    public CommandContribution(CommandGroup command,
                               boolean inline)

  Creates a new group contribution that is optionally inline.

  Parameters:
    `command` - the group to add.
    `inline` - `true` for an inline group, `false` for a normal group.

Method Detail

### performAdd

    public void performAdd(CommandGroup parent,
                           ExpansionPointMember expansionMember)

  Description copied from interface: `Contribution`
  Adds the specified this contribution the specified group.

  Parameters:
    `parent` - the parent group.
    `expansionMember` - the expansion point member of the group.

### performRemove

    public void performRemove(CommandGroup parent,
                              ExpansionPointMember expansionPointMember)

  Description copied from interface: `Contribution`
  Removes the specified this contribution the specified group.

  Parameters:
    `parent` - the parent group.
    `expansionPointMember` - the expansion point member of the group.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch